SDLWindow(3)

NAME
SDLWindow - A window inside the program (not a windowing environment window).

SYNOPSIS

#include <sdlwindow.h>

Inherits SDLGradientWidget.

  Public Methods
SDLWindow (SDLWidget* parent, SDL_Rect& r, char* windowtext)
~SDLWindow ()
void LoadThemeStyle (const char* widgettype)
Load a style from the theme definition.
void SetColorTitlebar (Uint32 color)

  Protected Methods
void eventDraw (SDL_Surface* surface, SDL_Rect* rect)
void eventSizeWindow (int w, int h)
bool eventButtonClick (int id, SDLWidget* widget)
bool eventMouseButtonDown (const SDL_MouseButtonEvent* button)
Overridable Eventhandler for a SDL_MouseButtonEvent message.
bool eventMouseButtonUp (const SDL_MouseButtonEvent* button)
Overridable Eventhandler for a SDL_MouseButtonEvent message.
bool eventMouseMotion (const SDL_MouseMotionEvent* motion)
Overridable Eventhandler for a SDL_MouseMotionEvent message.

DETAILED DESCRIPTION

A window inside the program (not a windowing environment window).

Author(s):
 Alexander Pipelka

 Creates a small 'fake' window entirely inside ParaGUI (ie has a ParaGUI widget as a parent)

Definition at line 57 of file sdlwindow.h.

CONSTRUCTOR & DESTRUCTOR DOCUMENTATION

  SDLWindow::SDLWindow (SDLWidget * parent, SDL_Rect & r, char * windowtext)

  SDLWindow::~SDLWindow ()

MEMBER FUNCTION DOCUMENTATION

  void SDLWindow::LoadThemeStyle (const char * widgettype) [virtual]

Load a style from the theme definition.

Parameters:

widgettype name of the widgettype

objectname name of the object

Loads the defined style for a given widgettype

Reimplemented from SDLGradientWidget.

  void SDLWindow::SetColorTitlebar (Uint32 color)

  bool SDLWindow::eventButtonClick (int id, SDLWidget * widget) [protected, virtual]

Reimplemented from SDLMessageObject.

  void SDLWindow::eventDraw (SDL_Surface * surface, SDL_Rect * rect) [protected, virtual]

Reimplemented from SDLGradientWidget.

  bool SDLWindow::eventMouseButtonDown (const SDL_MouseButtonEvent * button) [protected, virtual]

Overridable Eventhandler for a SDL_MouseButtonEvent message.

This handler is called when a mouse button is pressed. The default implementation returns 'false' which indicates that this message is not processed by this object.

Parameters:

button SDL_MouseButtonEvent message

Returns:
 Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver.

Reimplemented from SDLWidgetDnD.

  bool SDLWindow::eventMouseButtonUp (const SDL_MouseButtonEvent * button) [protected, virtual]

Overridable Eventhandler for a SDL_MouseButtonEvent message.

This handler is called when a mouse button is released. The default implementation returns 'false' which indicates that this message is not processed by this object.

Parameters:

button SDL_MouseButtonEvent message

Returns:
 Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver.

Reimplemented from SDLWidgetDnD.

  bool SDLWindow::eventMouseMotion (const SDL_MouseMotionEvent * motion) [protected, virtual]

Overridable Eventhandler for a SDL_MouseMotionEvent message.

This handler is called when mouse movement is detected. The default implementation returns 'false' which indicates that this message is not processed by this object.

Parameters:

motion SDL_MouseMotionEvent message

Returns:
 Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver.

Reimplemented from SDLWidgetDnD.

  void SDLWindow::eventSizeWindow (int w, int h) [protected, virtual]

Reimplemented from SDLDrawObject.

AUTHOR

Generated automatically by Doxygen for ParaGUI from the source code.